Index: themes/ductile/_config.php
===================================================================
--- themes/ductile/_config.php	(revision 776)
+++ themes/ductile/_config.php	(revision 832)
@@ -13,6 +13,9 @@
 l10n::set(dirname(__FILE__).'/locales/'.$_lang.'/admin');
 
-$img_url = $core->blog->settings->system->themes_url.'/'.$core->blog->settings->system->theme.'/img/';
-$img_url = http::concatURL($core->blog->url,$img_url);
+if (preg_match('#^http(s)?://#',$core->blog->settings->system->themes_url)) {
+	$img_url = http::concatURL($core->blog->settings->system->themes_url,'/'.$core->blog->settings->system->theme.'/img/');
+} else {
+	$img_url = http::concatURL($core->blog->url,$core->blog->settings->system->themes_url.'/'.$core->blog->settings->system->theme.'/img/');
+}
 $img_path = dirname(__FILE__).'/img/';
 
@@ -221,4 +224,5 @@
 	// HTML
 	'subtitle_hidden' => null,
+	'logo_src' => null,
 	// CSS
 	'body_font' => null,
@@ -322,4 +326,5 @@
 		if ($conf_tab == 'html') {
 			$ductile_user['subtitle_hidden'] = (integer) !empty($_POST['subtitle_hidden']);
+			$ductile_user['logo_src'] = $_POST['logo_src'];
 
 			$ductile_stickers = array();
@@ -427,4 +432,6 @@
 	echo '<p>'.sprintf(__('To configure the top menu go to the <a href="%s">Simple Menu administration page</a>.'),'plugin.php?p=simpleMenu').'</p>';
 }
+echo '<p class="field"><label for"logo_src">'.__('Logo URL:').' '.
+	form::field('logo_src',40,255,$ductile_user['logo_src']).'</label>'.'</p>';
 echo '</fieldset>';
 
Index: themes/ductile/_define.php
===================================================================
--- themes/ductile/_define.php	(revision 716)
+++ themes/ductile/_define.php	(revision 881)
@@ -15,5 +15,5 @@
 	/* Description*/		"Mediaqueries compliant elegant theme",
 	/* Author */			"Dotclear Team",
-	/* Version */			'1.0',
+	/* Version */			'1.2.1',
 	/* Properties */		array(
 								'standalone_config' => true
Index: themes/ductile/_public.php
===================================================================
--- themes/ductile/_public.php	(revision 776)
+++ themes/ductile/_public.php	(revision 830)
@@ -22,4 +22,5 @@
 $core->tpl->addBlock('EntryIfContentIsCut',array('tplDuctileTheme','EntryIfContentIsCut'));
 $core->tpl->addValue('ductileNbEntryPerPage',array('tplDuctileTheme','ductileNbEntryPerPage'));
+$core->tpl->addValue('ductileLogoSrc',array('tplDuctileTheme','ductileLogoSrc'));
 
 class tplDuctileTheme
@@ -27,16 +28,21 @@
 	public static function ductileNbEntryPerPage($attr)
 	{
-		global $core;
-
+		return '<?php tplDuctileTheme::ductileNbEntryPerPageHelper(); ?>';
+	}
+	
+	public static function ductileNbEntryPerPageHelper()
+	{
+		global $_ctx;
+		
 		$nb = 0;
-		$s = $core->blog->settings->themes->get($core->blog->settings->system->theme.'_entries_counts');
+		$s = $GLOBALS['core']->blog->settings->themes->get($GLOBALS['core']->blog->settings->system->theme.'_entries_counts');
 		if ($s !== null) {
 			$s = @unserialize($s);
 			if (is_array($s)) {
-				if (isset($s[$core->url->type])) {
+				if (isset($s[$GLOBALS['core']->url->type])) {
 					// Nb de billets par page défini par la config du thème
-					$nb = (integer) $s[$core->url->type];
+					$nb = (integer) $s[$GLOBALS['core']->url->type];
 				} else {
-					if (($core->url->type == 'default-page') && (isset($s['default']))) {
+					if (($GLOBALS['core']->url->type == 'default-page') && (isset($s['default']))) {
 						// Les pages 2 et suivantes de la home ont le même nombre de billet que la première page
 						$nb = (integer) $s['default'];
@@ -54,5 +60,5 @@
 
 		if ($nb > 0)
-			return '<?php $_ctx->nb_entry_per_page = '.$nb.' ; ?>';
+			$_ctx->nb_entry_per_page = $nb;
 	}
 	
@@ -85,19 +91,88 @@
 	{
 		global $core;
+		
+		$tpl_path = dirname(__FILE__).'/tpl/';
+		$list_types = array('title','short','full');
+
+		// Get all _entry-*.html in tpl folder of theme
+		$list_types_templates = files::scandir($tpl_path);
+		if (is_array($list_types_templates)) {
+			foreach ($list_types_templates as $v) {
+				if (preg_match('/^_entry\-(.*)\.html$/',$v,$m)) {
+					if (isset($m[1])) {
+						if (!in_array($m[1],$list_types)) {
+							// template not already in full list
+							$list_types[] = $m[1];
+						}
+					}
+				}
+			}
+		}
+
 		$default = isset($attr['default']) ? trim($attr['default']) : 'short';
-
-		$model = '';
-		$s = $core->blog->settings->themes->get($core->blog->settings->system->theme.'_entries_lists');
+		$ret = '<?php '."\n".
+			'switch (tplDuctileTheme::ductileEntriesListHelper(\''.$default.'\')) {'."\n";
+
+		foreach ($list_types as $v) {
+			$ret .= '	case \''.$v.'\':'."\n".
+				'?>'."\n".
+						$core->tpl->includeFile(array('src' => '_entry-'.$v.'.html'))."\n".
+				'<?php '."\n".
+				'		break;'."\n";
+		}
+
+		$ret .= '}'."\n".
+			'?>';
+		
+		return $ret;
+	}
+	
+	public static function ductileEntriesListHelper($default)
+	{
+		$s = $GLOBALS['core']->blog->settings->themes->get($GLOBALS['core']->blog->settings->system->theme.'_entries_lists');
 		if ($s !== null) {
 			$s = @unserialize($s);
 			if (is_array($s)) {
-				if (isset($s[$core->url->type])) {
-					$model = $s[$core->url->type];
-				}
-			}
-		}
-
-		$local_attr = array('src' => '_entry-'.($model ? $model : $default).'.html');
-		return $core->tpl->includeFile($local_attr);
+				if (isset($s[$GLOBALS['core']->url->type])) {
+					$model = $s[$GLOBALS['core']->url->type];
+					return $model;
+				}
+			}
+		}
+		return $default;
+	}
+
+	public static function ductileLogoSrc($attr)
+	{
+		return '<?php echo tplDuctileTheme::ductileLogoSrcHelper(); ?>';
+	}
+
+	public static function ductileLogoSrcHelper()
+	{
+		$s = $GLOBALS['core']->blog->settings->themes->get($GLOBALS['core']->blog->settings->system->theme.'_style');
+		if ($s === null) {
+			return;
+		}
+		$s = @unserialize($s);
+		if (!is_array($s)) {
+			return;
+		}
+		
+		$img_url = $GLOBALS['core']->blog->settings->system->themes_url.'/'.$GLOBALS['core']->blog->settings->system->theme.'/img/logo.png';
+		if (isset($s['logo_src'])) {
+			if ($s['logo_src'] !== null) {
+				if ($s['logo_src'] != '') {
+					if ((substr($s['logo_src'],0,1) == '/') || (parse_url($s['logo_src'],PHP_URL_SCHEME) != '')) {
+						// absolute URL
+						$img_url = $s['logo_src'];
+					} else {
+						// relative URL (base = img folder of ductile theme)
+						$img_url = $GLOBALS['core']->blog->settings->system->themes_url.'/'.$GLOBALS['core']->blog->settings->system->theme.'/img/'.$s['logo_src'];
+					}
+				}
+			}
+		}
+		
+		return $img_url;
 	}
 
@@ -117,5 +192,5 @@
 				$default = true;
 			} else {
-				$s = array_filter($s,"tplDuctileTheme::cleanStickers");
+				$s = array_filter($s,"self::cleanStickers");
 				if (count($s) == 0) {
 					$default = true;
